%% icgg.cls
\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{icggabs}%
[2013/05/22 Style for preparation of abstracts for the %
 International Conference on Geometry and Graphics (ICGG 2014)]

%% Author: Hans-Peter Schroecker, http://geometrie.uibk.ac.at/schroecker/

%% Load ``article.cls'', using options ``12pt'' and a4 paper
%% size as default options. Othor options are not recognized and will
%% produce errors.
\LoadClass[a4paper,12pt]{article}

%% Load additional packages
%% ========================

% font selection
\RequirePackage{mathptmx}
\RequirePackage{courier}
\RequirePackage{textcomp}

% page size
\RequirePackage[top=30mm,bottom=30mm,right=20mm,left=20mm,includefoot]{geometry}
\RequirePackage{parskip}
\RequirePackage{url}

% document title and authors

\newcommand*{\@affiliation}{}%
\newcommand{\affiliation}[1]{\gdef\@affiliation{#1}}

% \RequirePackage[overload]{textcase}
\renewcommand*{\@maketitle}{%
  \begin{center}%
    \vspace*{0.5mm}
    {\normalfont\bfseries\fontsize{15}{17.6}\selectfont
      \@title\par}%
    \vspace*{4.0mm}
    {\begin{tabular}[t]{c}
        % \large
        \bfseries
        \@author
      \end{tabular}\par
    }%
    \vspace*{-3.6mm}
    {\begin{tabular}[t]{c}
        % \large
        \@affiliation
      \end{tabular}\par
    }%
  \end{center}%
  \par\vspace*{6.3mm}%
  \pagenumbering{gobble}%
}%

% keywords
\newcommand*{\keywords}[1]{\vspace*{1.8mm}\par\raggedright\noindent{Keywords:}~#1}

%% Close class file:
\endinput
%% End of ``icggabs.cls''
